cURL
curl --request GET \
--url http://base.url.com/targets \
--header 'x-phishy-api-key: <api-key>'import requests
url = "http://base.url.com/targets"
headers = {"x-phishy-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-phishy-api-key': '<api-key>'}};
fetch('http://base.url.com/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"surname": "<string>",
"email": "[email protected]",
"position": "<string>",
"phone": "<string>",
"group": "<string>",
"age": 123
}
]{
"error": 123,
"message": "<string>"
}{
"error": 403,
"message": "You do not have permission to access this resource."
}Targets
Get Targets
Retrieves targets based on query parameters
GET
/
targets
cURL
Authorizations
Response
List of targets
First name of the target
Surname of the target
Email address of the target
Position or role of the target within the organization
Phone number of the target
Group the target belongs to
Gender of the target
Available options:
male, female, other Age of the target
⌘I
